24 апреля 2015

Как поэтапно обновить дистрибутив Ubuntu 14.04 до Ubuntu 15.04

23 апреля вышел релиз операционной системы Ubuntu 15.04 с краткосрочной поддержкой, сроком на 9 месяцев. Релиз Ubuntu 15.04 является полноценной операционной системой, а краткосрочный потому, что разрабатывался, как промежуточный релиз для будущего долгосрочного релиза Ubuntu 16.04 LTS. За Ubuntu 15.04 последуют  релиз - Ubuntu 15.10, также краткосрочный, с поддержкой на 9 месяцев, которые рассматриваются разработчиками, как подготовительные для Ubuntu 16.04 LTS. LTS - англ. Long Term Support; дословно «поддержка в течение длительного периода» (сроком на 5 лет).

Конечно, долгосрочный релиз более отлажен и стабилен, и я бы рекомендовал оставаться на нём (Ubuntu 14.04 LTS), по крайней мере до выхода Ubuntu 16.04 LTS, но новички в Linux обычно хотят испытать прежде всего себя и попробовать всевозможные варианты системы, от установки, до обновления релиза, а возможно просто удовлетворить своё тщеславие: "Yes! Я его сделал..!". Если вы относитесь к таким, тогда эта статья для вас.

Внимание. Хочу сразу предупредить, что обновление релиза не всегда проходит успешно, а именно, невозможность загрузки системы, что иногда происходит ввиду изменения пользователем важных конфигурационных файлов, поэтому рекомендую перед обновлением сделать резервную копию ваших данных (фото, документы, аудио/видео файлы и пр.), для этого вы можете использовать флешку, внешний жесткий диск или сохранить их в  облачных системах хранения данных, с тем чтобы в случае проблем с обновлением вы не могли их потерять. А лучше всего сделать бэкап системы (резервное копирование), чтобы всегда можно было"откатиться" в предыдущее состояние. Для этой цели подойдут такие приложения, как Systemback или Clonezilla Live.

Хотелось бы отметить, что данная инструкция действительна для Ubuntu и производных: Kubuntu, Xubuntu, Lubuntu, Ubuntu MATE и Ubuntu GNOME.

Итак, если вы решились на поэтапное обновление, следуйте данной пошаговой инструкции.
 
1. Прежде чем приступить к обновлению релиза, необходимо привести в актуальное состояние действующую систему Ubuntu 14.04 LTS. Для этого откройте программу Обновление приложений и сделайте обновление приложений, если таковые имеются:



2. Далее, по окончании обновления системы в актуальное состояние, в этом же окне Обновление приложений нажмите на кнопке Настройки:


 В открывшемся окне Программы и обновления, в вкладке Обновления, в параметре Уведомлять меня о выходе новой версии Ubuntu выберите - При доступной любой новой версии:



И закройте окно Программы и обновления.

3. Теперь откройте диалог на выполнение команд Alt+F2, введите  следующую команду и нажмите Enter:

update-manager -d 


После выполнения данной команды и сканирования системы, должно открыться окно Обновление приложений с предложением обновления до Ubuntu 14.10:


4. Нажмите кнопку Обновить... и следуйте инструкциям по обновлению системы.

5. По окончании обновления системы будет предложено перезагрузить компьютер. Перезагрузите, чтобы войти теперь уже в Ubuntu 14.10.

Как говорится, полдела сделано. Теперь нужно обновить Ubuntu 14.10 до Ubuntu 15.04.

6. Сделайте обновление системы следующими командами в терминале:

sudo apt-get update

sudo apt-get dist-upgrade

Выполните необходимые обновления, если потребуется.

7. После выполнения обновления должно открыться окно с оповещением, что Доступен выпуск Ubuntu 15.04 (сейчас установлен 14.10). нажмите кнопку Обновить:


И следуйте инструкциям открывающихся окон:





8. По окончании обновлений будет предложено перезагрузить компьютер. Перезагрузите.

9. После нового входа в систему необходимо разблокировать Источники приложений, а именно заблокированные репозитории. Выполните следующую команду в терминале:

sudo software-properties-gtk

Во вкладке Другое ПО  подключите сторонние репозитории, которые были заблокированы во время обновления, поставьте крыжик, переименуйте с utopic на vivid и удалите комментарий:



 Проделайте это со всеми репозиториями, которые были заблокированы и нажмите кнопку Закрыть. После чего откроется дополнительное окно Информация о программном обеспечении устарела, в котором нужно нажать кнопку Обновить:


Вот и всё. У вас теперь Ubuntu 15.04:


Заключение.

Если что-то пошло не так или вы решили сделать возврат к Ubuntu 14.04, воспользуйтесь программами восстановления системы: Systemback или Clonezilla Live, о которых упоминалось в самом начале статьи.

Удачи.

68 комментариев :

  1. А вот у меня сейчас установлена какая-то дорелизная Xubuntu 15.04 - не знаю, надо ли будет её ещё как-то специально обновлять?

    ОтветитьУдалить
    Ответы
    1. == дорелизная Xubuntu 15.04== Это бета версия вероятно. Если ранее была установлена версия бета и всё работает хорошо, то выполните обновление дистрибутива:

      sudo apt-get update
      sudo apt-get dist-upgrade

      И будет Вам Xubuntu 15.04 - final.

      Удалить
  2. Периодически зависает и вылетает wi-fi что делать ?

    ОтветитьУдалить
    Ответы
    1. 1. Попробуйте сделать переустановку менеджера сети:

      sudo apt-get install --reinstall bcmwl-kernel-source

      2. Если не поможет первый вариант, выполните этот скрипт:

      sudo sh -c 'echo "options iwlwifi 11n_disable=1" >> /etc/modprobe.d/iwlwifi.conf'

      Удалить
    2. не всегда
      многое зависит от модели вифи
      помню 12.04 не встала на новокупленный ноут (вафля не работала)
      решалось ч-з voodoo magic
      в следующий релиз пофиксили!
      но как показывает практика (по убунтуру форуму) не все так однозначно...

      Удалить
  3. Обновил с 14.10 до 15.04, в итоге при запуске доходит до ввода пароля и всё, пароль ввожу, помигает экран и снова просит пароль...

    ОтветитьУдалить
  4. Двадцать два месяца у меня была ubuntu. В феврале перешёл на linux mint. Такое ощущение что покинул бурное штормовое море и зашёл в тихую гавань.

    ОтветитьУдалить
  5. Не удалось запустить процесс обновления

    Обычно возникает в системе, где /tmp смонтирован с флагом noexec. Пожалуйста, перемонтируйте без флага noexec и запустите обновление снова.

    ОтветитьУдалить
    Ответы
    1. Собственно, решил:)
      sudo mount -o remount,exec /tmp

      Удалить
  6. От 14.04 до16.04, ПЯТЬ ЛЕТ(не два года). За это время выйдет куча всего промежуточного. Но, всё равно это будет "обкатка" идей..Сама по себе Система показала свои возможности, "устоялась".. Дальше будет только улучшаться, новое внести довольно трудно. Пользуйтесь тем что есть, или этого мало? Ну, если только приключения.)))

    ОтветитьУдалить
    Ответы
    1. 14-я вышла в 2014 году, 16-я выйдет в 2016-м...
      Вы явно спутали со сроком поддержки..))

      Удалить
    2. Время, Числа, Не имеет значения, ни то и не другое. Живи сейчас..

      Удалить
  7. Обновился с 14.04 на 15.04. При проверки обновлений "sudo apt-get update && sudo apt-get upgrade" вываливается:

    Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    libgl1-mesa-dri-lts-utopic : Conflicts: libgl1-mesa-dri
    libgl1-mesa-dri-lts-utopic:i386 : Recommends: libtxc-dxtn-s2tc0:i386 but it is not going to be installed or
    libtxc-dxtn0:i386
    Conflicts: libgl1-mesa-dri
    xserver-xorg-lts-utopic : Conflicts: libgl1-mesa-dri (>= 0~)
    E: Broken packages

    sudo apt-get remove libgl1-mesa-dri-lts-utopic - предлагает удалить полсистемы, во время dist-upgrade никаких ошибок не было. Собственно вопрос: как разрешить зависимости?

    ОтветитьУдалить
    Ответы
    1. Попробуйте это:

      sudo apt-get install xserver-xorg-lts-vivid

      Удалить
    2. Видимо этого пакета нет в официальных репозиториях:
      E: Unable to locate package xserver-xorg-lts-vivid

      Удалить
    3. Проблему решил, может кому пригодится:

      sudo aptitude remove xserver-xorg-core-lts-utopic
      sudo aptitude install xserver-xorg-core
      sudo aptitude install libgl1-mesa-dri
      После ввода последней команды не согласился с разрешением зависимостей (Accept this solution? [Y/n/q/?] n). Удалился пакет libgl1-mesa-dri-lts-utopic и еще 18 подобных в том числе и skype. Ну и проблема решилась)

      Удалить
  8. Nautilus крайне глюковатый в этой сборке. Банально при перемещении файлов через "Переместить в" часто отваливался. И еще много когда бывает, при этом он же еще и рабочий стол тащит с собой, так как это его часть. Короче простому смертному, только сошедшему с винды стоит это увидеть, как потом рождаются такие мнения, как "Линукс говно".
    Ладно еще аппаратные проблемы, но системный софт то. Ну ладно это не LTS, но и не бета же уже. Баги зафиксированы и подтверждены как средней значимости, а будут ли их пытаться исправить. А торкать левые ФМ тоже не лучшее занятие.
    Потому что давно пора ниписать им свой файловый менеджер, текстовый редактор, системный монитор, архиватор и прочее, а не сидеть тупиться форкая постоянно это с Гнома. Вся надежда на Unity 8. Но как бы не стала она как Windows 8 c её плитками для мобильных аппаратов.

    ОтветитьУдалить
    Ответы
    1. Вот и я об этом постоянно талдычу, лучше один нормальный релиз в два года,
      нежели не пойми что каждые полгода. Да, Гном лучше бы вообще
      не трогали, ибо работает на ура! чинить не нужно!

      Удалить
    2. Юнька 8 будет на Qt, а это значит, что я возможно смогу себя реализовать как разработчика, на gtk/vala у меня времени и сил нет, не осилил)
      Насчет фм, редактора, монитора и прочего гномовского наследия, я думаю так: надо заморозить нормальные красивые стабильные версии этих вещей, и не обновлять, потому как ничего нового в них практически не добавляется. Но здесь блин нашим разрабам хочется новый gtk тянуть в систему, приходится и те самые приложения вслед за ним обновлять. Хотя перед Unity 8 можно уже было успокоиться и забить на это дело. Пару релизов можно было сделать в стиле Дебиан: не самые свежие версии, зато стабильны и работают.

      Удалить
  9. После перехода с 14.10х64 на 15.04х64 в дополнительных драйверах появился "processor microcode firmware for intel CPUs из Intel Microcode проприетарное". Говорят, что у AMD тоже есть "amd processor microcode firmware for amd cpus из amd64-microcode (проприетарное)"?
    Владимир, стоит ли активировать, что это даст?

    ОтветитьУдалить
    Ответы
    1. Драйверы как обычно улучшают отрисовку OpenGL, т.е видео, но грузят процессор. В основном установка проприетарных драйверов нужна для игр. Если всё работает без них и Вас устраивает, то можно оставить как есть. Как вариант можно активировать и посмотреть/сравнить работу компьютера до и после.

      Удалить
  10. Владимир здравствуйте у меня к вам такой вопрос у меня на ubuntu 15.04 !! Не обновляет processor mocrocode for intel cpus как его обновить ? Скажите пожалуйста !!

    ОтветитьУдалить
    Ответы
    1. 1. Открой synaptic
      2. В окно поиска введи поочерёдно:

      microcode.ctl
      intel-microcode

      Установи эти пакеты

      3. Перезагрузи компьютер.
      4. После нового входа проверь microcode командой в терминале:
      dmesg | grep microcode

      Удалить
  11. Я предпочитаю всё же снести и с нуля поставить...

    ОтветитьУдалить
  12. После обновления до 15.04 выдает ошибку:
    http://ppa.launchpad.net/tualatrix/next/ubuntu нет подключения к интернету.

    ОтветитьУдалить
    Ответы
    1. ==После обновления до 15.04 выдает ошибку для репозитория Ubuntu Tweak== Всё верно, т.к. репозитрий в 15.04 ещё не проиндексирован. Удалите его.

      Удалить
  13. "фото, документы, аудио/видео файлы и пр" лучше вобще держать в отдельном разделе.Тогда им грозит лишь физическая поломка винта,а на всякие обновления/переустановки ОС пофиг) Освоено на практике))))

    ОтветитьУдалить
    Ответы
    1. Золотое замечание. Ещё бы лучше это было-бы рекомендовано при установке операционной системы.

      Удалить
  14. Подскажите, Bumblebee для 15.04 еще нет? А то старые ярлыки с optirun не работают.

    ОтветитьУдалить
  15. неужели нет команды,что бы разблокирывать все репазитории разом?

    ОтветитьУдалить
    Ответы
    1. Есть такая команда, а она тебе нужна потом будет много вопросов, типо, а вот, а я ввел, а мне сказали и что мне теперь......?

      Удалить
    2. я уже все ввел без команды,а команда мне нужна для общего развития,увидеть ее хочу.

      Удалить
  16. после обновления система стала пошустрей,всякая мелочевка добавилась графическая,зато исчез звук в аудио гнезде на передней панели сист.блока,и при загрузке в режиме:
    "rekovery mode" вместо букв кубики.

    ОтветитьУдалить
  17. звук восстанавливается легко при помощи "регулятор громкости PulseAudio"

    ОтветитьУдалить
  18. Привет! Обновил до 1504 - не пускает дальше окна логина.
    При вводе пароля (точно верный, 3 цифры) или при гостевом логине идет попытка загрузки и возврат обратно на окно с логином.

    Что делать?

    ОтветитьУдалить
  19. Мне Менеджер обновлений предложил сначала обновиться до 14.10. Отключил все репозиториии, нажал Обновить и на втором этапе (Вычысление изминений) выдало окошко с "Ошибка при проверке подлинности некоторых пакетов.
    Не удалось проверить подлинность некоторых пакетов. Возможно, это кратковременная проблема с сетью и стоит повторить операцию позже. Ниже приведен список пакетов, не прошедших проверку." И список большой. Кнопка только Закрыть. При закрытии востанавливается назад то, что успело стать.
    Это как-то решаемо?
    P.S. Очень хочется обновиться с Менеджера, а не с диска.

    ОтветитьУдалить
    Ответы
    1. Обновление дистрибутива до следующей версии не всегда проходит гладко, а тем более когда пользователь много экспериментировал с системой/конфигурационными файлами. Что можно посоветовать в этом случае конкретно? Даже не знаю. Перезагрузись и пробуй ещё раз.

      Удалить
  20. Помогите пожалуйста с данной проблемой, хотел обновить убунту 14.04 до 14.10 сделал всё как рассказано.
    Не удалось запустить процесс обновления
    Обычно возникает в системе, где /tmp смонтирован с флагом noexec. Пожалуйста, перемонтируйте без флага noexec и запустите обновление снова.
    Я недавний пользователь линукса, потому прошу поэтапно рассказать в чём проблема и как её решить.
    Заранее Благодарю.

    ОтветитьУдалить
    Ответы
    1. Андрей Времеш, в поиске по сайту введите Plymouth и найдёте несколько инструкций по восстановлению заставки.

      Удалить
    2. Владимир/Максим, а по моей проблеме что-то можете подсказать?

      Удалить
  21. всем привет! у меня вопрос. раньше на виндувс стояла программа Zоna в ней можно смотреть фильмы в режиме онлайн. меня интересует есть ли аналогичная программа подобии Zоna на Ubuntu?

    ОтветитьУдалить
    Ответы
    1. Онлайн-кинотеатр Popcorn Time 0.3.3 в Ubuntu.

      Для установки в Ubuntu 14.04 LTS/14.10 выполни в терминале следующие команды:

      sudo add-apt-repository ppa:webupd8team/popcorntime
      sudo apt-get update
      sudo apt-get install popcorn-time

      Удалить
    2. У меня на всех системах установлен скачанный с Рутрекера CrossOver. Установленная в нём Zona, пашет гораздо лучше чем в Винде и никакие антивирусы ей не мешают.

      Удалить
  22. чем чревато оставаться на 14.10 до выхода 16.04? все настроено, отлично работает на Lenovo Yoga 11s и неохота возиться. релизы ядер обновляю вручную. в чем выражается окончание поддержки 14.10? Заранее спасибо за ответ!

    ОтветитьУдалить
  23. ==чем чревато оставаться на 14.10 до выхода 16.04? == в чем выражается окончание поддержки 14.10?==
    Ubuntu 14.10 установленная и настроенная на Вашем компьютере будет работать до выхода релиза 16.04, но не будет получать обновления безопасности и Вы не сможете установить дополнительно какое-то более совершенное/продвинутое приложение. Например, если Firefox обновляется каждые 40 дней и команда Ubuntu/Canonical делает для него официальное обновление, то в случае с Ubuntu 14.10, Firefox останется на прежней версии, как и другие приложения установленные ранее и поддерживаемые разработчиками Ubuntu.
    Иными словами, система будет работать, но в то же время будет "мёртвой" для обновлений.

    ОтветитьУдалить
  24. спасибо! но при этом ручками, через консоль, я смогу все обновлять, ну если не все, то почти все. то есть только автоматом обновления прилетать не будут?

    ОтветитьУдалить
    Ответы
    1. Ничего Вы не сможете обновить, ни через терминал, ни через менеджер обновлений. Я же писал: "система будет работать, но в то же время будет "мёртвой" для обновлений."

      Удалить
    2. Это странно, потому что ядра я обравляю пользуясь вашими же туториалами. Буду смотреть, в общем. Спасибо!

      Удалить
    3. При чём здесь новое ядро и устаревшая система. Ядро Вы сможете установить, но оно не обновит пакетную базу системы.
      "Ядро́ (kernel) — центральная часть операционной системы (ОС), обеспечивающая приложениям координированный доступ к ресурсам компьютера, таким как процессорное время, память, внешнее аппаратное обеспечение, внешнее устройство ввода и вывода информации." Википедия.

      Удалить
  25. Всем добрый день. Не могу сказать что я очень продвинутый пользователь ubuntu, но по ряду причин мне надо обновиться до 15.04. Стояла 14.04, по инструкции без проблем обновился до 14.10. Далее обновление не захотело стартовать. Каждый раз после перезагрузки ноутбуков (это на двух ноутах такая ситуация), пишет что 14.10 больше не поддерживается и доступка 15.04. Жму обновить, просит пароль и дальше тихо как в танке, обновление не стартует. Как это можно побороть?

    ОтветитьУдалить
    Ответы
    1. Перенёс скобку, заработало:
      Было:
      print(_(“For upgrade information, please visit:\n”
      “%(url)s\n”) % { ‘url’ : url })
      Стало:
      print(_(“For upgrade information, please visit:\n”
      “%(url)s\n” % { ‘url’ : url }))

      Надеюсь помог 😉

      Удалить
    2. огромное спасибо, мне помогло. уже обновился до 15.10. но теперь новая проблема, как описана ниже. нажал в терминале перегрузить после обновления и просто висит надпись ubuntu и точки бегают.

      Удалить
  26. после обновления системы с 14.10 до 15.04 система грузится до экрана с надписью UBUNTU и точками под ней... кто чем поможет? какие действия дальше?

    ОтветитьУдалить
  27. Здравствуйте, Владимир!
    После нажатия кнопки "обновить", появляется окно для ввобда пароля. Ввожу пароль, окно закрывается и всё. Больше ничего не происходит.
    Все галочки проверила. Всё так же, как а Ваших скриншотах.

    ОтветитьУдалить
    Ответы
    1. А можно подробней. Из какой и в какую систему Вы хотите обновиться?

      Удалить
  28. Сейчас у меня Ubuntu 14.10.
    Система сообщает мне о доступности обновления.
    Но, как и писала, что после ввода пароля, ничего не происходит.

    ОтветитьУдалить
    Ответы
    1. Перезагрузите систему и попробуйте ещё раз обновиться.

      Удалить
    2. Перезагрузила. Всё так же ((

      Удалить
    3. Это какой-то косяк в Вашей системе. Тогда переустановите, так как Ubuntu 14.10 всё-равно больше не поддерживается. Лучше устанавливайте долгосрочные релизы сроком на пять лет: Ubuntu 14.04 или разрабатываемую Ubuntu 16.04, финальный релиз которой выдет в апреле. На моём компьютере Ubuntu 16.04 работает довольно стабильно, хотя и разрабатываемая, т.е. постоянно идут обновления.

      Удалить
    4. Только переустановка? ((
      Просто компьюьетром не я одна пользуюсь.
      Владимир, а у Вас случайно не было статьи о том, как убирать ненужные репозитории?

      Удалить
    5. Есть такая статья. Попробуйте. http://compizomania.blogspot.com/2012/11/ubuntulinux-mint.html

      Удалить
  29. Теперь еще и это появилось. Скрин: http://joxi.ru/RmzkMWoCWRwgV2

    ОтветитьУдалить
    Ответы
    1. Видимо Источники приложений у Вас напичканы разными ненужными репами, поэтому и не даёт обновление. Не мучайте себя. Сделайте резервную копию важных данных на флешку или в какое-нибудь облако и установите новую систему, как я писал выше.

      Удалить
  30. Благодарю Вас, Владимир! :)
    Пошла читать ))

    ОтветитьУдалить
  31. Обновил с 14.10 до 15.04, в итоге при запуске доходит до ввода пароля и всё, пароль ввожу, помигает экран и снова просит пароль...такая же проблема,кто то знает ответ?

    ОтветитьУдалить